﻿using ShoopNCook.Pages;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShoopNCook.Core
{
    internal class Account
    {
        private readonly User user;
        private readonly string email;

        private List<RecipeInformation> favoriteRecipes;

        public Account(User user, string email)
        {
            this.user = user;
            this.email = email;
        }

        public User User { get => user; }
        public string Email { get => email; }

        public List<RecipeInformation> Favorites { get => favoriteRecipes; }

        public void AddFavoriteRecipe(RecipeInformation recipe)
        {
            favoriteRecipes.Add(recipe);
        }
    }
}
