﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShoopNCook.Core
{
    internal class Ingredient
    {

        private readonly string name;
        private readonly float amount;
        private readonly Quantity quantity;

        public Ingredient(string name, float amount, Quantity quantity) { 
            this.name = name;
            this.amount = amount;
            this.quantity = quantity;
        }

        public string Name { get => name; }
        public float Amount { get => amount; }
        public Quantity Quantity { get => quantity;}
    }
}
