﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShoopNCook.Core
{
    internal class Recipe
    {

        private readonly RecipeInformation info;
        private readonly User owner;

        private readonly List<Ingredient> ingredients;
        private readonly List<PreparationStep> steps;

        public Recipe(
            RecipeInformation info,
            User owner,
            List<Ingredient> ingredients,
            List<PreparationStep> steps)
        {
            this.info = info;
            this.owner = owner;
            this.ingredients = ingredients;
            this.steps = steps;
        }

        public RecipeInformation Info { get => info; }
        public User Owner { get => owner; }

        public List<Ingredient> Ingredients { get => ingredients; }
        public List<PreparationStep> Steps { get => steps; }
    }
}
