﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShoopNCook.Core
{
    internal class RecipeInformation
    {
        private string name;
        private string description;
        private Uri image;
        private float averageNote;
        private int cookTimeMinutes;
        private int caloriesPerGuest;

        public RecipeInformation(string name, string description, Uri image, float averageNote, int cookTimeMinutes, int caloriesPerGuest)
        {
            this.name = name;
            this.description = description;
            this.image = image;
            this.averageNote = averageNote;
            this.cookTimeMinutes = cookTimeMinutes;
            this.caloriesPerGuest = caloriesPerGuest;
        }

        public string Name { get => name; }
        public string Description { get => description; }
        public Uri Image { get => image; }
        public float AverageNote { get => averageNote; }
        public int CookTimeMinutes { get => cookTimeMinutes; }
        public int CaloriesPerGuest { get => caloriesPerGuest; }
    }
}
